- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAttributeCollection
TDummyDataSource
TDummyDataSourceIterator
TList
TListIterator
TMap
TMapIterator
TPagedDataSource
TPagedList
TPagedListFetchDataEventParameter
TPagedListIterator
TPagedListPageChangedEventParameter
TPagedMapIterator
TQueue
TQueueIterator
TStack
TStackIterator

Keyword

# Class TPagedListFetchDataEventParameter

    TComponent
       |
       --TEventParameter
          |
          --TPagedListFetchDataEventParameter

TPagedListFetchDataEventParameter class.

TPagedListFetchDataEventParameter is used as the parameter for TPagedList::onFetchData event. To obtain the new page index, use NewPageIndex. The Offset property refers to the index of the first item in the new page, while Limit specifies how many items are requested for the page. Newly fetched data should be saved in Data property.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
mixed | getData ()
integer | getLimit ()
integer | getNewPageIndex ()
integer | getOffset ()
void | setData ( mixed $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## getData

public mixed getData | ()

Output
mixed | new page data
Exception

## getLimit

public integer getLimit | ()

Output
integer | number of items in the new page
Exception

## getNewPageIndex

public integer getNewPageIndex | ()

Output
integer | the zero-based index of the new page
Exception

## getOffset

public integer getOffset | ()

Output
integer | offset of the first item in the new page
Exception

## setData

public void setData | (mixed $value )

Input
mixed | $value | new page data
Output
Exception